For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get All Inventories
      • GET Get Inventory
      • GET Get All Inventory Levels
      • GET Get Inventory Levels Grouped By Fulfillment Center
      • GET Get Inventory Levels Grouped By Lot
      • GET Get All Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Lot
      • GET Get Inventory Levels
      • POST Delete Lot Exclusion
      • GET Get Lot Exclusions
      • POST Create Lot Exclusion
      • POST Restore Lot Exclusion
LogoLogo
API ReferenceInventory

Get Inventory Levels Grouped By Fulfillment Center

||View as Markdown|
GET
/Experimental/inventory-level/:inventoryId/locations
GET
/Experimental/inventory-level/:inventoryId/locations
$curl https://api.shipbob.com/Experimental/inventory-level/1/locations \
> -H "Authorization: Bearer <token>"
1{
2 "inventory_id": 0,
3 "locations": [
4 {
5 "awaiting_quantity": 0,
6 "committed_quantity": 0,
7 "damaged_quantity": 0,
8 "exception_quantity": 0,
9 "fulfillable_quantity": 0,
10 "in_fulfillment_quantity": 0,
11 "internal_transfer_quantity": 0,
12 "location_id": 0,
13 "name": "string",
14 "on_hand_quantity": 0,
15 "quarantine_quantity": 0,
16 "userId": 0
17 }
18 ],
19 "name": "string",
20 "sku": "string",
21 "userId": 0
22}
Retrieves inventory levels for a specific inventory item broken down by fulfillment center location. Shows quantity breakdowns for each location where the inventory is stored.
Was this page helpful?
Previous

Get All Inventory Levels

Next

Get Inventory Levels Grouped By Lot

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

inventoryIdintegerRequired

Response

OK
inventory_idinteger
locationslist of objects
namestring
skustring
userIdinteger

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error